import "../../../../chunks/chunk.QU3DSPNU.js";
import { createElement } from "react";
import { IconPercent as IconPercentClass } from "../../../../components/icon/icons/percent.component.js";
import { getReactComponent } from "../../../../utils/react.js";
const IconPercent = (props) => {
  IconPercentClass.define();
  const JSXElement = getReactComponent("gds-icon-percent");
  const propsWithClass = { ...props, class: props.className, ref: props.ref };
  return createElement(JSXElement, propsWithClass);
};
IconPercent.displayName = "IconPercent";
export {
  IconPercent
};
